public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Theo Anderson" <telans@posteo.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-p2p/monero/
Date: Wed, 28 Apr 2021 02:16:49 +0000 (UTC)	[thread overview]
Message-ID: <1619574908.3aec52c5ddec855719d694c592c6504d86978969.telans@gentoo> (raw)

commit:     3aec52c5ddec855719d694c592c6504d86978969
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Wed Apr 28 01:55:08 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Wed Apr 28 01:55:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3aec52c5

net-p2p/monero: add 0.17.2.0

Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 net-p2p/monero/Manifest               |   1 +
 net-p2p/monero/monero-0.17.2.0.ebuild | 114 ++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-p2p/monero/Manifest b/net-p2p/monero/Manifest
index 841b64b94..cfe934532 100644
--- a/net-p2p/monero/Manifest
+++ b/net-p2p/monero/Manifest
@@ -1 +1,2 @@
 DIST monero-0.17.1.9.tar.gz 10607015 BLAKE2B 2746fa1d8feafead39f10d1c8800ecd82e4049930b7acae42e946474558114422703e8cb37f1bd3833e57ec9987ccdff2fd530a632693cab206420153f8e6ab4 SHA512 b529d1c691584a5bf1e1fa342909dbb296ef57b0b7d018d95dd40ee418257a15f8f94ec74f780762f28f57f5db4a953becce97558af407f89828d55da88e61d8
+DIST monero-0.17.2.0.tar.gz 10622184 BLAKE2B c439e447f524a08a7ee79420873b7cf393f5cd3269460944aac30a315ac7c273c12fd809d86d41445bfc7e8c2feb0538d4e9fc1dadeb55f7e09f2920778f07a7 SHA512 85b764f1fc25127e7ca4ada67b1d832a9604c4cf65b160d689650e7ca7bbc36b73d8b26c5409fabdaad7369684997447cd812d1c521fad19d24f5b35f4789a1e

diff --git a/net-p2p/monero/monero-0.17.2.0.ebuild b/net-p2p/monero/monero-0.17.2.0.ebuild
new file mode 100644
index 000000000..1ee22fc10
--- /dev/null
+++ b/net-p2p/monero/monero-0.17.2.0.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake systemd
+
+DESCRIPTION="The secure, private, untraceable cryptocurrency"
+HOMEPAGE="https://github.com/monero-project/monero"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/monero-project/monero.git"
+	EGIT_SUBMODULES=()
+else
+	SRC_URI="https://github.com/monero-project/monero/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="+daemon readline +tools +wallet-cli +wallet-rpc"
+REQUIRED_USE="|| ( daemon tools wallet-cli wallet-rpc )"
+RESTRICT="test"
+
+DEPEND="
+	acct-group/monero
+	acct-user/monero
+	dev-libs/boost:=[nls,threads]
+	dev-libs/libsodium:=
+	dev-libs/openssl:=
+	dev-libs/randomx
+	dev-libs/rapidjson
+	dev-libs/supercop
+	net-dns/unbound:=[threads]
+	net-libs/czmq:=
+	net-libs/miniupnpc
+	readline? ( sys-libs/readline:0= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${PN}-0.17.1.7-unbundle-dependencies.patch" )
+
+src_configure() {
+	local mycmakeargs=(
+		# TODO: Update CMake to install built libraries (help wanted)
+		-DBUILD_SHARED_LIBS=OFF
+		-DMANUAL_SUBMODULES=ON
+		-DMONERO_PARALLEL_LINK_JOBS=1
+		-DUSE_DEVICE_TREZOR=OFF
+	)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	local targets=()
+	use daemon && targets+=(daemon)
+	use tools && targets+=(blockchain_{ancestry,blackball,db,depth,export,import,prune,prune_known_spent_data,stats,usage})
+	use wallet-cli && targets+=(simplewallet)
+	use wallet-rpc && targets+=(wallet_rpc_server)
+	cmake_build ${targets[@]}
+}
+
+src_install() {
+	einstalldocs
+
+	# Install all binaries.
+	find "${BUILD_DIR}/bin/" -type f -executable -print0 |
+		while IFS= read -r -d '' line; do
+			dobin "$line"
+		done
+
+	if use daemon; then
+		dodoc utils/conf/monerod.conf
+
+		# data-dir
+		keepdir /var/lib/monero
+		fowners monero:monero /var/lib/monero
+		fperms 0755 /var/lib/monero
+
+		# log-file dir
+		keepdir /var/log/monero
+		fowners monero:monero /var/log/monero
+		fperms 0755 /var/log/monero
+
+		# /etc/monero/monerod.conf
+		insinto /etc/monero
+		doins "${FILESDIR}/monerod.conf"
+
+		# OpenRC
+		newconfd "${FILESDIR}/monerod.confd" monerod
+		newinitd "${FILESDIR}/monerod.initd" monerod
+
+		# systemd
+		systemd_dounit "${FILESDIR}/monerod.service"
+	fi
+}
+
+pkg_postinst() {
+	if use daemon; then
+		elog "Start the Monero P2P daemon as a system service with"
+		elog "'rc-service monerod start'. Enable it at startup with"
+		elog "'rc-update add monerod default'."
+		elog
+		elog "Run monerod status as any user to get sync status and other stats."
+		elog
+		elog "The Monero blockchain can take up a lot of space (80 GiB) and is stored"
+		elog "in /var/lib/monero by default. You may want to enable pruning by adding"
+		elog "'prune-blockchain=1' to /etc/monero/monerod.conf to prune the blockchain"
+		elog "or move the data directory to another disk."
+	fi
+}


             reply	other threads:[~2021-04-28  2:16 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-28  2:16 Theo Anderson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25 14:46 [gentoo-commits] repo/proj/guru:dev commit in: net-p2p/monero/ Filip Kobierski
2024-09-25 14:46 Filip Kobierski
2024-09-25 14:46 Filip Kobierski
2024-09-17  9:20 Filip Kobierski
2024-08-15  0:35 Sergey Alirzaev
2024-07-26 14:07 Filip Kobierski
2024-06-29  9:42 Sergey Alirzaev
2024-05-29 10:26 Sergey Alirzaev
2024-03-16 13:19 Sergey Alirzaev
2024-03-09 20:07 Sergey Alirzaev
2024-01-07  7:24 Takuya Wakazono
2023-11-23 17:46 Alfred Persson Forsberg
2023-10-03  0:01 Sergey Alirzaev
2023-10-02  0:01 Sergey Alirzaev
2023-06-07  1:42 YiFei Zhu
2023-04-04 13:42 Sergey Alirzaev
2023-02-26  1:02 Sergey Alirzaev
2023-01-02 12:17 Sergey Alirzaev
2023-01-01 17:10 Sergey Alirzaev
2022-09-25  0:17 Sergey Alirzaev
2022-09-17 20:23 Sergey Alirzaev
2022-07-01 16:57 Alfred Persson Forsberg
2022-04-30  6:09 Dex Conner
2022-04-16 10:12 Dex Conner
2021-09-09 23:28 Sergey Alirzaev
2021-05-07 13:25 Sergey Alirzaev
2021-04-28  2:16 Theo Anderson
2021-04-27 23:24 [gentoo-commits] repo/proj/guru:master " Theo Anderson
2021-04-27 23:23 ` [gentoo-commits] repo/proj/guru:dev " Theo Anderson
2021-01-08 21:18 Theo Anderson
2021-01-08 21:18 Theo Anderson
2021-01-04 21:41 Theo Anderson
2020-12-31  8:08 Theo Anderson
2020-12-29 10:41 Theo Anderson
2020-12-29 10:41 Theo Anderson
2020-12-29 10:41 Theo Anderson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619574908.3aec52c5ddec855719d694c592c6504d86978969.telans@gentoo \
    --to=telans@posteo.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox